HINO Bugs - Bug #1951

script job untuk membaca overtime 1 bulan sebelum payroll berjalan tidak dapat mengambil data
overtime di desember

01/19/2023 12:46 PM - Muhammad Bintar

Status: Closed Start date: 01/19/2023
Priority: Immediate Due date: 01/24/2023
Assignee: Mohammad Daud % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer mohon support nya untuk perbaikan pada data overtime dimana data overtime dari tampungan tidak dapat
diambil karena datanya itu lintas tahun.

remote.minovais.com, 1445\MSSQLSERVER2019

History

#1 - 01/19/2023 03:01 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to Immediate

#2 - 01/19/2023 03:59 PM - Saswanto Tampan
- Status changed from Assigned to Revise

- Assignee changed from Saswanto Tampan to Muhammad Bintar

mana contoh datanya buat test query

#3 - 01/19/2023 06:35 PM - Saswanto Tampan
- Status changed from Revise to Assigned

- Assignee changed from Muhammad Bintar to Mohammad Daud

SCRIPT JOB DI GANTI SAMA YANG BARU :

USE MinovaES_HINO_Prod

select distinct pt16.StartDate,pt16.EndDate,pt16.EmployeelD,pt16.0OvertimeType,pt16.StartTime,pt16.EndTime,pt16.DayType,pt16.Duration
,pt16.DayBeforeFlag,pt16.PlanDuration,pt16.StartPlan,pt16.EndPlan,pt16.Notes,pt16.CreateBy,pt16.CreateDate,pt16.ChangeBy,pt16.ChangeDate
into #PHRPA0016 from PHRPATO016 pt16 left outer join

PHRPA0002 pa2 on pa2.EmployeelD = pt16.EmployeelD and (pt16.StartDate between pa2.StartDate and pa2.EndDate) left outer join
PHRPYPGCTRL ctrl on ctrl.PayrollGroup = pa2.PayrollGroup

where left(pt16.EndDate,6) <=

CASE

WHEN RIGHT='00"' THEN convert(varchar, left(ctrl.PayrollPeriod,4)-1) + convert(varchar, RIGHT)

else ctrl.PayrollPeriod-1

END

and left(ctrl.PayrollPeriod,4) = left(pt16.StartDate,4) and ctrl.PayrollControlStatus='C'

insert into PHRPAO0016 select * from #PHRPA0016

update PHRPAOQO015 set RetroDate= case

when PHRPA0O15.RetroDate =" then a.StartDate

when PHRPAO015.RetroDate > a.StartDate then a.StartDate end,

CorrectStatus="1' from (SELECT TOP StartDate,EmployeelD from #PHRPA0016 ORDER BY StartDate asc)a

where PHRPAO0015.EmployeelD=a.EmployeelD

DELETE FROM PHRPAT016 WHERE EmployeelD+StartDate IN (select EmployeelD+StartDate from #PHRPA0016)

drop table #PHRPA0016

#4 - 02/22/2023 10:37 AM - Kezia Pawitra Yulianti

task ini apa sudah solve dan di deploy ke client?

#5 - 04/06/2023 01:42 PM - Mohammad Daud

- Status changed from Assigned to Closed

07/03/2025 12




Files

script job sql.txt 1.12 KB 01/19/20283 Muhammad Bintar
